Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 616667 - Kernel oops with Radeon: 2.6.32.16-141.fc12.i686.PAE
Kernel oops with Radeon: 2.6.32.16-141.fc12.i686.PAE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 02:01 EDT by Terry Barnaby
Modified: 2010-12-03 08:09 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:09:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System info (373 bytes, text/plain)
2010-07-21 11:32 EDT, Terry Barnaby
no flags Details

  None (edit)
Description Terry Barnaby 2010-07-21 02:01:15 EDT
My up to date Fedora 12 systems have just been updated with the kernel 2.6.32.16-141.fc12.i686.PAE.
This is causing problems on three of them that have ATI Radeon cards (Different Radeons different hardware).
There are occasional Kernel OOPS followed by very slow graphics.
The messages in /var/log/messages are:

Jul 15 16:15:50 beam kernel: ------------[ cut here ]------------
Jul 15 16:15:50 beam kernel: WARNING: at
drivers/gpu/drm/radeon/radeon_fence.c:159 radeon_fence_signaled+0x56/0x83 [radeon]()
Jul 15 16:15:50 beam kernel: Hardware name: X5DA8
Jul 15 16:15:50 beam kernel: Querying an unemited fence : e73b9320 !
Jul 15 16:15:50 beam kernel: Modules linked in: fuse nfsd lockd nfs_acl
auth_rpcgss exportfs autofs4 sunrpc p4_clockmod ipv6 dm_multipath uinput ppdev
parport_pc parport snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device
snd_pcm e1000 iTCO_wdt iTCO_vendor_support intel_rng i2c_i801 snd_timer snd
soundcore snd_page_alloc raid1 aic79xx sata_mv scsi_transport_spi usb_storage
radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: microcode]
Jul 15 16:15:50 beam kernel: Pid: 2860, comm: X Tainted: G        W
2.6.32.16-141.fc12.i686.PAE #1
Jul 15 16:15:50 beam kernel: Call Trace:
Jul 15 16:15:50 beam kernel: [<c0441535>] warn_slowpath_common+0x6a/0x81
Jul 15 16:15:50 beam kernel: [<f7fa2a1f>] ? radeon_fence_signaled+0x56/0x83 [radeon]
Jul 15 16:15:50 beam kernel: [<c044158a>] warn_slowpath_fmt+0x29/0x2c
Jul 15 16:15:50 beam kernel: [<f7fa2a1f>] radeon_fence_signaled+0x56/0x83 [radeon]
Jul 15 16:15:50 beam kernel: [<f7fa2a8a>] radeon_fence_wait+0x3e/0x2aa [radeon]
Jul 15 16:15:50 beam kernel: [<f7fa2e11>] ? radeon_fence_create+0x21/0xdc [radeon]
Jul 15 16:15:50 beam kernel: [<f7fb221c>] radeon_ib_get+0xf4/0x19e [radeon]
Jul 15 16:15:50 beam kernel: [<f7fb30a6>] radeon_cs_ioctl+0x80/0x17e [radeon]
Jul 15 16:15:50 beam kernel: [<f7e7ca00>] drm_ioctl+0x251/0x2fd [drm]
Jul 15 16:15:50 beam kernel: [<f7fb3026>] ? radeon_cs_ioctl+0x0/0x17e [radeon]
Jul 15 16:15:50 beam kernel: [<c05c355c>] ? prio_tree_remove+0xab/0xb7
Jul 15 16:15:50 beam kernel: [<c04b9fb5>] ? vma_prio_tree_remove+0x3a/0xb5
Jul 15 16:15:50 beam kernel: [<f7e7c7af>] ? drm_ioctl+0x0/0x2fd [drm]
Jul 15 16:15:50 beam kernel: [<c04eed92>] vfs_ioctl+0x1d/0x76
Jul 15 16:15:50 beam kernel: [<c04ef32c>] do_vfs_ioctl+0x493/0x4d1
Jul 15 16:15:50 beam kernel: [<f7ed054e>] ? ttm_bo_unref+0x2a/0x36 [ttm]
Jul 15 16:15:50 beam kernel: [<c0488235>] ? audit_syscall_entry+0x116/0x138
Jul 15 16:15:50 beam kernel: [<c04ef3b0>] sys_ioctl+0x46/0x66
Jul 15 16:15:50 beam kernel: [<c040917c>] syscall_call+0x7/0xb
Jul 15 16:15:50 beam kernel: ---[ end trace 16db0329adff4419 ]---
Jul 15 16:16:44 beam abrt: Kerneloops: Reported 1 kernel oopses to Abrt
Jul 15 16:16:44 beam abrtd: Directory 'kerneloops-1279207004-1' creation detected
Jul 15 16:16:44 beam abrtd: Getting local universal unique identification
Jul 15 16:16:44 beam abrtd: Crash is in database already (dup of
/var/cache/abrt/kerneloops-1279205204-1)

These appear to happen after about an hours general use (Firefox, Thunderbird, development editing). Systems use default KMS two with compositing one without.

I'm going back to: 2.6.32.14-127.fc12.i686.PAE
Comment 1 Hans Ulrich Niedermann 2010-07-21 09:05:18 EDT
How is this releated to the xorg-x11-drv-radeonhd package?

F12 stable has xorg-x11-drv-radeonhd-1.3.0-4.2.20091204git.fc12, which contains a check for KMS, and aborts Xorg startup when KMS is enabled.

The reporter writes "Systems use default KMS two with compositing one without" so I would say that xorg-x11-drv-radeonhd would have aborted Xorg startup long before compositing, or Firefox, or Thunderbird could play any role.

Additionally, I had the impression that a kernel should not oops regardless of what userspace does.
Comment 2 Hans Ulrich Niedermann 2010-07-21 09:08:13 EDT
Terry, what Xorg driver (and version) are you running?

  grep RADEONHD /var/log/Xorg.0.log | head -n5
  rpm -q xorg-x11-drv-{ati,radeonhd}
Comment 3 Terry Barnaby 2010-07-21 11:31:25 EDT
Hi, I am using all Fedora 12 standard packages updated to current date. Note I am using the ATI radeon driver not RadeonHd. How this bug has been put as the radeonhd component I don't know. I just added it to the kernel component ????

(II) RADEON: Driver for ATI Radeon chipsets:
	ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
	ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
	ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
	ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,

xorg-x11-drv-ati-6.13.0-0.21.20100219gite68d3a389.fc12.i686
xorg-x11-drv-ati-firmware-6.13.0-0.21.20100219gite68d3a389.fc12.i686

Added some info on my system.
Comment 4 Terry Barnaby 2010-07-21 11:32:27 EDT
Created attachment 433448 [details]
System info
Comment 5 Hans Ulrich Niedermann 2010-07-21 12:59:38 EDT
Terry: Thanks a lot for the info. This confirms that this is not a problem with xorg-x11-drv-radeonhd.

I (xorg-x11-drv-radeonhd package maintainer) am reassigning this bug to the kernel folks and let them examine it further.
Comment 6 hh 2010-08-11 10:17:56 EDT
Hi,
until yesterday all was ok with kernel 2.6.32.16-141.fc12 but after upgrading to 2.6.32.16-150.fc12 I have a similar (kernel) problem here:

==> architecture <==
i686

==> backtrace <==
------------[ cut here ]------------
WARNING: at drivers/gpu/drm/radeon/radeon_fence.c:159 radeon_fence_signaled+0x56/0x83 [radeon]()
Hardware name: HP nx9010 (DJ316A)       
Querying an unemited fence : ce1c33c0 !
Modules linked in: fuse autofs4 ipv6 cpufreq_ondemand acpi_cpufreq xt_physdev dm_multipath uinput snd_ali5451 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm snd_timer i2c_ali15x3 snd i2c_ali1535 natsemi soundcore snd_page_alloc alim1535_wdt ppdev parport_pc parport joydev pata_acpi ata_generic firewire_ohci firewire_core crc_itu_t pata_ali yenta_socket rsrc_nonstatic video output radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: microcode]
Pid: 1262, comm: Xorg Tainted: G        W  2.6.32.16-150.fc12.i686 #1
Call Trace:
[<c043a779>] warn_slowpath_common+0x6a/0x81
[<ecf182e4>] ? radeon_fence_signaled+0x56/0x83 [radeon]
[<c043a7ce>] warn_slowpath_fmt+0x29/0x2c
[<ecf182e4>] radeon_fence_signaled+0x56/0x83 [radeon]
[<ecf1834f>] radeon_fence_wait+0x3e/0x2a1 [radeon]
[<ecf186cd>] ? radeon_fence_create+0x21/0xdc [radeon]
[<ecf26b16>] radeon_ib_get+0xf4/0x19e [radeon]
[<ecf2799e>] radeon_cs_ioctl+0x80/0x17e [radeon]
[<ece05904>] drm_ioctl+0x251/0x2fd [drm]
[<ecf2791e>] ? radeon_cs_ioctl+0x0/0x17e [radeon]
[<c0599fa3>] ? iint_free+0x0/0xa2
[<c059a040>] ? iint_free+0x9d/0xa2
[<c0587fdb>] ? file_has_perm+0x89/0xa3
[<ece056b3>] ? drm_ioctl+0x0/0x2fd [drm]
[<c04e65c6>] vfs_ioctl+0x1d/0x76
[<c04e6b60>] do_vfs_ioctl+0x493/0x4d1
[<c058827f>] ? selinux_file_ioctl+0x43/0x46
[<c04e6be4>] sys_ioctl+0x46/0x66
[<c040367c>] syscall_call+0x7/0xb

==> cmdline <==
not_applicable

==> component <==
kernel


# lspci -vv
....
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon IGP 330M/340M/350M (prog-if 00 [VGA controller])
        Subsystem: Hewlett-Packard Company Radeon IGP 345M
....
        Kernel driver in use: radeon
        Kernel modules: radeon, radeonfb

# rpm -q xorg-x11-drv-{ati,radeonhd}
xorg-x11-drv-ati-6.13.0-0.21.20100219gite68d3a389.fc12.i686
xorg-x11-drv-ati-firmware-6.13.0-0.21.20100219gite68d3a389.fc12.i686
package xorg-x11-drv-radeonhd is not installed

# rpm -qi xorg-x11-drv-ati
Name        : xorg-x11-drv-ati             Relocations: (not relocatable)
Version     : 6.13.0                            Vendor: Fedora Project
Release     : 0.21.20100219gite68d3a389.fc12   Build Date: Fri 19 Feb 2010 02:09:45 AM CET
Install Date: Mon 08 Mar 2010 10:42:33 AM CET      Build Host: x86-04.phx2.fedoraproject.org


Had three oopses at 15:22:07 , 15:23:45 , 15:23:47 (Aug 11) after 7 hours of regular usage (don't know if related to anything specific).

Best regards,
HH
Comment 7 Bug Zapper 2010-11-03 07:44:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 08:09:07 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.